a blog for first time Mac users

“No packages were eligible for install” error

August 25th, 2020 0 comments

Σε ενεργοποίηση της ακολουθίας upgrade στην όποια macOS version γίνεται έλεγχος του installer.

Όταν λοιπόν προκύψει το σφάλμα σημαίνει ότι είτε το πιστοποιητικό του (certificate) έχει λήξει ή ότι δεν μπορεί να επαληθευθεί.

Αντιμετώπιση·

α. Σε upgrade μέσω του App Store installer

Πηγαίνετε /Εφαρμογές και σύρετε το εικονίδιο του installer στον κάδο. Κατόπιν τον κατεβάζετε από το support document και τρέχετε πλέον απρόσκοπτα την ακολουθία (ενδεικτικά του Mojave).

β. Σε upgrade μέσω ενός bootable macOS installer

Θα πρέπει η ημερομηνία του συστήματος να πάει πίσω στον χρόνο κυκλοφορίας του upgrade.

1, Κλείνετε το Wi-Fi ή αποσυνδέετε το ethernet cable από τον router, ώστε μετά το restart στο βήμα 3 να διατηρηθεί η ημερομηνία που θα καθορίσετε.

2, Restart το μηχάνημα με πατημένα τα πλήκτρα command-R (⌘-R) για boot στο macOS Recovery.

3, Ανοίγετε το Terminal, πληκτρολογείτε date >Return οπότε βλέπετε την τρέχουσα ημερομηνία. Return και πληκτρολογείτε κατά περίπτωση και return, οπότε η ημερομηνία του συστήματος θα προσαρμοσθεί ανάλογα.  > Restart.

  • OS X 10.10 (Yosemite): date 0910000014
  • OS X 10.11 (El Capitan): date 1001000015
  • macOS 10.12 (Sierra): date 0921000016
  • macOS 10.13 (High Sierra): date 0925000017
  • macOS 10.14 (Mojave): date 0925000018
  • macOS 10.15 (Catalina): date 0925000019

4, Τρέχετε πλέον απρόσκοπτα την ακολουθία του upgrade (ενδεικτικά του El Capitan).

5, Με το πέρας της ανοίγετε το Wi-Fi ή συνδέετε τον router.  > Restart ώστε να επανέλθει η τρέχουσα ημερομηνία.

Related·

Leave a Reply

Your email address will not be published. Required fields are marked *